/*
 * Initialization.hpp
 *
 *  Created on: Apr 9, 2011
 *      Author: Andygongyb
 */

#ifndef INITIALIZATION_HPP_
#define INITIALIZATION_HPP_

extern "C" {

#include "gpio.h"
#include "pm_uc3c.h"
#include "power_clocks_lib.h"
#include "scif_uc3c.h"
#include "flashc.h"
#include "intc.h"
#include "delay.h"

}

#include <stdint.h>

namespace init_names {

const uint32_t fosc0 = 12000000;

}

typedef class CInit {

	static CInit *m_instance;

	CInit(void);

public:

	~CInit(void) {
		m_instance = NULL;
	}

	static CInit *instance(void) {
		if (!m_instance) {
			m_instance = new CInit();
		}
		return m_instance;
	}

	uint32_t get_pba_freq(void) {
		return 33000000;
	}

	uint32_t get_pbb_freq(void) {
		return 33000000;
	}

}*pCInit;

#endif /* INITIALIZATION_HPP_ */
