/*
 * Omni.hpp
 *
 * Created: 2012/4/20 22:18:33
 *  Author: Andygongyb
 */ 


#ifndef OMNI_HPP_
#define OMNI_HPP_

#include "Slave.hpp"
#include "MPU6050.hpp"
#include <stdint.h>

typedef class COmniDir {
private:

	struct slave_t {
		CSlave* m_slave;
		uint16_t m_worm_pos;
		
		slave_t(CSlave* slave)
			: m_slave(slave) {
				m_worm_pos = m_slave->get_adc();
			}
		CSlave* operator->(void) const {
			return m_slave;
		}
	};

	slave_t m_north;
	slave_t m_south;
	slave_t m_east;
	slave_t m_west;
	
	CMPU* m_mpu;
	float m_angle[3];
	
	float m_pre_x;
	float m_pre_y;
	
	int64_t m_dir;
	
public:
	COmniDir(CSlave* north, CSlave* south, CSlave* east, CSlave* west, CMPU* mpu)
		: m_north(north), m_south(south), m_east(east), m_west(west), m_mpu(mpu) {
		m_pre_x = 0.0;
		m_pre_y = 0.0;
		set_dir(0);
		move(0);
	}
	
	void set_dir(int16_t dir);
	void move(int16_t speed);
	void move_pid(int8_t pid_set);
	void wheel_break(void);
	
	void update(void);
	
	CSlave* north(void) const {
		return m_north.m_slave;
	}
	
	CSlave* south(void) const {
		return m_south.m_slave;
	}
	
	CSlave* west(void) const {
		return m_west.m_slave;
	}
	
	CSlave* east(void) const {
		return m_east.m_slave;
	}
} *pCOmniDir;

#endif /* OMNI_HPP_ */