/*
 * PDCA.cpp
 *
 *  Created on: 2012-4-8
 *      Author: Andygongyb
 */

#include "PDCA.hpp"

const char *CPDCA_exception::m_all_in_use = "All DMA channels are in use";
const char *CPDCA_exception::m_already_attached =
		"DMA channel already attached to other peripheral";

const uint8_t CPDCA::irq_map[16] = { AVR32_PDCA_IRQ_0, AVR32_PDCA_IRQ_1,
		AVR32_PDCA_IRQ_2, AVR32_PDCA_IRQ_3, AVR32_PDCA_IRQ_4, AVR32_PDCA_IRQ_5,
		AVR32_PDCA_IRQ_6, AVR32_PDCA_IRQ_7, AVR32_PDCA_IRQ_8, AVR32_PDCA_IRQ_9,
		AVR32_PDCA_IRQ_10, AVR32_PDCA_IRQ_11, AVR32_PDCA_IRQ_12,
		AVR32_PDCA_IRQ_13, AVR32_PDCA_IRQ_14, AVR32_PDCA_IRQ_15, };

template<CPDCA::channel_t N>
CPDCA_ch<N> *CPDCA_ch<N>::m_instance = NULL;

template<CPDCA::channel_t N>
CPDCA::property_t CPDCA_ch<N>::m_property = { CPDCA::BYTE, CPDCA::ADCIFA0_RX };

CPDCAManager *CPDCAManager::m_instance = NULL;

CPDCAManager *the_pdca_manager = CPDCAManager::instance();
