#include "plot.h"

plot::plot(QWidget *parent) :
    QwtPlot(parent)
{
    setTitle("Sensor output");
    setAxisTitle(yLeft, "Angle");
    setAxisScale(yLeft, -10.0, 10.0);

    setAxisTitle(xBottom, "Time" );
    setAxisScale(xBottom, 0, 1000);

    QwtPlotMarker *mY = new QwtPlotMarker();
    mY->setLabel(QString::fromLatin1("y = 0"));
    mY->setLabelAlignment(Qt::AlignRight|Qt::AlignTop);
    mY->setLineStyle(QwtPlotMarker::HLine);
    mY->setYValue(0.0);
    mY->attach(this);

    curvex = new QwtPlotCurve("X axis");
    curvex->setStyle(QwtPlotCurve::Lines);
    curvex->setPen(QPen(Qt::darkBlue));
    curvex->attach(this);

    curvey = new QwtPlotCurve("Y axis");
    curvey->setStyle(QwtPlotCurve::Lines);
    curvey->setPen(QPen(Qt::darkRed));
    curvey->attach(this);

}

void plot::clear_plot()
{
    curvex->setData(NULL);
    curvey->setData(NULL);
}
